Bug 165325 - [PATCH] graphics/pencil: switch from libungif to giflib to avoid conflict
Summary: [PATCH] graphics/pencil: switch from libungif to giflib to avoid conflict
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-20 15:20 UTC by Steve Wills
Modified: 2012-02-22 07:20 UTC (History)
1 user (show)

See Also:


Attachments
pencil-0.4.4b_5.patch (611 bytes, patch)
2012-02-20 15:20 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2012-02-20 15:20:10 UTC
see patch

Port maintainer (martymac@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_3 (mode: change, diff: CVS)
Comment 1 Edwin Groothuis freebsd_committer 2012-02-20 15:20:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ganael LAPLANCHE freebsd_committer 2012-02-21 13:10:47 UTC
Hi Steve,

(sunpoet@, maintainer of graphics/ming CC'ed)

Thanks for your patch. Unfortunately, it cannot be applied as is because :

- graphics/pencil would depend on graphics/giflib *and* graphics/ming
- but graphics/ming still depends on graphics/libungif

=> both gif libraries CONFLICTS

I see two possibilities :

1) For graphics/ming, change graphics/libungif dependency to
   graphics/giflib and apply your patch for graphics/pencil
2) For graphics/ming, leave graphics/libungif dependency as is and
   for graphics/pencil, remove dependency to graphics/libungif
   (as it depends on graphics/ming, use this dependency to get
   a gif library, whatever it is)

I would prefer fix 1), as I think it is useful to keep an explicit
dependency on gif for graphics/pencil. Po-Chuan, what do you think about
that ? Can you change gif dependency for graphics/ming ?

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 3 Steve Wills freebsd_committer 2012-02-21 13:50:12 UTC
Hi,

> Hi Steve,
>
> (sunpoet@, maintainer of graphics/ming CC'ed)
>
> Thanks for your patch. Unfortunately, it cannot be applied as is because :
>
> - graphics/pencil would depend on graphics/giflib *and* graphics/ming
> - but graphics/ming still depends on graphics/libungif

I also opened PR ports/165324. I should have noted in PR ports/165325 that
it needed  PR ports/165324 to be applied first.

> => both gif libraries CONFLICTS
>
> I see two possibilities :
>
> 1) For graphics/ming, change graphics/libungif dependency to
>    graphics/giflib and apply your patch for graphics/pencil
> 2) For graphics/ming, leave graphics/libungif dependency as is and
>    for graphics/pencil, remove dependency to graphics/libungif
>    (as it depends on graphics/ming, use this dependency to get
>    a gif library, whatever it is)
>
> I would prefer fix 1), as I think it is useful to keep an explicit
> dependency on gif for graphics/pencil. Po-Chuan, what do you think about
> that ? Can you change gif dependency for graphics/ming ?
>

I guess from the other PR you can see I had been thinking of 1) as well,
but now that you mention it, if the explicit dep isn't needed, maybe it
could be removed.

There has also been some talk lately of removing explicit version numbers
from lib depends where they aren't needed, which may be a good idea. Of
course, changing the dep from libungif to giflib would still be required.

Thanks,
Steve
Comment 4 dfilter freebsd_committer 2012-02-22 07:10:58 UTC
martymac    2012-02-22 07:10:49 UTC

  FreeBSD ports repository

  Modified files:
    graphics/pencil      Makefile 
  Log:
  Remove useless dependency to graphics/libungif
  
  PR:             ports/165325
  Submitted by:   swills
  
  Revision  Changes    Path
  1.12      +1 -2      ports/graphics/pencil/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Ganael LAPLANCHE freebsd_committer 2012-02-22 07:14:16 UTC
On Tue, 21 Feb 2012 08:50:12 -0500, Steve Wills wrote

Hi Steve,

> [...]
>  I guess from the other PR you can see I had been thinking of 
> 1) as well, but now that you mention it, if the explicit dep 
> isn't needed, maybe it could be removed.

I've just removed the dependency to graphics/libungif as it was not needed.

Thanks for your help :)

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 6 Ganael LAPLANCHE freebsd_committer 2012-02-22 07:15:53 UTC
State Changed
From-To: open->closed

Committed with minor changes, thanks!